/*!\file: Results.h
 * \brief prototypes for Results.h
 */ 

#ifndef _CONTAINER_RESULTS_H_
#define  _CONTAINER_RESULTS_H_

/*forward declarations */
class Materials;
class Parameters;
class Elements;
class Vertices;
class Loads;
class Nodes;
class DataSet;
class Inputs;

class Results: public DataSet{

	public:

		/*constructors, destructors*/
		Results();
		~Results();

		/*numerics*/
		Results* SpawnTriaResults(int* indices);
		void     Write(Parameters* parameters);
};
#endif //ifndef _RESULTS_H_
